Authenticate Request

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Every request made to the extra functions API is authorized using an access_token which is obtained by sending a client_secret and client_id to the authentic

šŸ“˜

NB:

For security reasons, the authentication token expires in 60 minutes. It is advisable, you generate a token before each request.

Parameters

Header

KeyValue TypeRequiredDescription
apikeyStringYesapp consumer key.
Content-TypeStringYesapplication/json.

Body

KeyValue TypeRequiredDescription
client_idStringYesAPI client ID.
client_secretStringYesAPI client secret.
grant_typeStringYesThe grant expected by the OAuth server.
{
  "client_id": "JOHNDOESERVICE123",
  "client_secret": "BLXBeUyndtTTASXwTFZbgdDVKWeQnFUEHbXj",
  "grant_type": "client_credentials"
}
Body Params
string
required
Defaults to JOHNDOESERVICE123
string
required
Defaults to BLXBeUyndtTTASXwTFZbgdDVKWeQnFUEHbXj
string
required
Defaults to client_credentials
Headers
string
required
Defaults to your_api_key
string
required
Defaults to application/json
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json